# Get-RASRDSession.md

## NAME

Get-RASRDSession

## SYNOPSIS

Retrieves information about one or multiple RD Sessions.

## SYNTAX

**Get-RASRDSession** -[ServerId](#serverid-string) *(uint)* -[Source](#Source) {RDS | VDI | AVD | All} \[[GroupId](#groupid-string) *(uint)*] \[[HostName](#hostname-string) *(string)*] \[[IP](#ip-string) *(string)*] \[[SiteId](#siteid-string) *(uint)*] \[-[State](#State) {Active | Connected | ConnectQuery | Shadow | Disconnected | Idle | Listen | Reset | Down | Init | All}] \[[ThemeId](#themeid-string) *(uint)*] \[[User](#user-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Get-RASRDSession** -[Server](#server-string) *(string)* -[Source](#Source) {RDS | VDI | AVD | All} \[[GroupId](#groupid-string) *(uint)*] \[[HostName](#hostname-string) *(string)*] \[[IP](#ip-string) *(string)*] \[[SiteId](#siteid-string) *(uint)*] \[-[State](#State) {Active | Connected | ConnectQuery | Shadow | Disconnected | Idle | Listen | Reset | Down | Init | All}] \[[ThemeId](#themeid-string) *(uint)*] \[[User](#user-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Get-RASRDSession** \[[GroupId](#groupid-string) *(uint)*] \[[HostName](#hostname-string) *(string)*] \[[IP](#ip-string) *(string)*] \[[SiteId](#siteid-string) *(uint)*] \[-[Source](#Source) {RDS | VDI | AVD | All}] \[-[State](#State) {Active | Connected | ConnectQuery | Shadow | Disconnected | Idle | Listen | Reset | Down | Init | All}] \[[ThemeId](#themeid-string) *(uint)*] \[[User](#user-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves the information about one or multiple RD Sessions, from different sources such as RDS, VDI, and AVD.

## PARAMETERS

## SiteId (uint)

Site ID from which to retrieve the Remote Desktop Session information (optional).

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Source ([RDSessionSource](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdsessionsource.md))

Source from which to retrieve the Remote Desktop Session information.

Possible values: RDS, VDI, AVD, All

```
        Required?                    true

        Position?                    named

        Default value                All

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ServerId (uint)

The Host ID of the server for which to retrieve the information (optional).

```
        Required?                    true

        Position?                    named

        Default value                4294967295

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Server (string)

The name of the server to filter the Remote Desktop Session information (optional).

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## HostName (string)

The name of the host to filter the AVD/VDI Remote Desktop Session information (optional).

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## State ([SessionState](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/sessionstate.md))

State to filter the Remote Desktop Session information (optional).

Possible values: Active, Connected, ConnectQuery, Shadow, Disconnected, Idle, Listen, Reset, Down, Init, All

```
        Required?                    false

        Position?                    named

        Default value                All

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## User (string)

User to filter the Remote Desktop Session information (optional).

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## IP (string)

IP Address to filter the Remote Desktop Session information (optional).

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ThemeId (uint)

The Theme ID for which to retrieve the information (optional).

```
        Required?                    false

        Position?                    named

        Default value                4294967295

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## GroupId (uint)

The RDS Group ID for which to retrieve the information (optional).

```
        Required?                    false

        Position?                    named

        Default value                4294967295

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[RDSession](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdsession.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASRDSession

Retrieves a list of RD Sessions.\
\*\*---------- EXAMPLE 2 ----------

Get-RASRDSession -Source RDS

Retrieves a list of RDS Sessions.\
\*\*---------- EXAMPLE 3 ----------

Get-RASRDSession -Source RDS -Server "MyServer"

Retrieves a list of RDS Sessions pertaining to the specified server.\
\*\*---------- EXAMPLE 4 ----------

Get-RASRDSession -Source VDI -SiteId 1

Retrieves a list of VDI Sessions for SiteId 1.\
\*\*---------- EXAMPLE 5 ----------

Get-RASRDSession -Source AVD -ServerId 1

Retrieves the AVD Session for ServerId 1.\
\*\*---------- EXAMPLE 6 ----------

Get-RASRDSession -User "Administrator" -IP "1.1.1.1" -State Idle

Retrieves the Sessions with specified Username, IP and State.

## RELATED LINKS

* [Get-RASRDSHostStatus](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasrdshoststatus.md)
* [Get-RASProviderStatus](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasproviderstatus.md)
* [Invoke-RASRDSHostProcessCmd](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasrdshostprocesscmd.md)
* [Invoke-RASVDISessionCmd](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasvdisessioncmd.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasrdsession.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
